Skip to main content
`Ctrl`+`K`

# EPSBalance

The type of balancing used for non-Hermitian problems.

## Synopsis

    typedef enum { EPS_BALANCE_NONE,
                   EPS_BALANCE_ONESIDE,
                   EPS_BALANCE_TWOSIDE,
                   EPS_BALANCE_USER } EPSBalance;

## Values

- `EPS_BALANCE_NONE` - no balancing matrix is used

- `EPS_BALANCE_ONESIDE` - balancing matrix \(D\) is computed with a one-sided Krylov method

- `EPS_BALANCE_TWOSIDE` - balancing matrix \(D\) is computed with a two-sided Krylov method

- `EPS_BALANCE_USER` - use a balancing matrix \(D\) provided by the user

## See Also

EPS: Eigenvalue Problem Solver, Balancing for Non-Hermitian Problems, `EPSSetBalance()`

## Level

intermediate

## Location

include/slepceps.h

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages